From 799eb6a3af8a3dd81e2429bf11a72a57e541f908 Mon Sep 17 00:00:00 2001
From: "Eric S. Raymond" <esr@thyrsus.com>
Date: Sun, 17 Mar 2019 12:37:21 -0400
Subject: [PATCH] Address SF bug #119: MemorySanitizer: FPE on unknown address

---
 dgif_lib.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Upstream-status: Backport [https://sourceforge.net/p/giflib/code/ci/799eb6a3af8a3dd81e2429bf11a72a57e541f908/]
CVE: CVE-2019-15133

--- a/lib/dgif_lib.c	2021-01-13 19:28:18.923493586 +0100
+++ b/lib/dgif_lib.c	2021-01-13 19:28:55.245863085 +0100
@@ -1099,7 +1099,7 @@ DGifSlurp(GifFileType *GifFile)
 
               sp = &GifFile->SavedImages[GifFile->ImageCount - 1];
               /* Allocate memory for the image */
-              if (sp->ImageDesc.Width < 0 && sp->ImageDesc.Height < 0 &&
+              if (sp->ImageDesc.Width <= 0 && sp->ImageDesc.Height <= 0 &&
                       sp->ImageDesc.Width > (INT_MAX / sp->ImageDesc.Height)) {
                   return GIF_ERROR;
               }
